#!/bin/bash
###############################################################################
# Broadshield 5.2.2  hotpatch
###############################################################################

MOTD=/etc/motd
HOTPATCH_CONFIG=/etc/hotpatch.conf

BROADSHIELD_FILES_DELETE=/opt/upgrade/temp/broadshield.delete.txt
PATCH_BROADSHIELD=/opt/upgrade/temp/broadshield.tar.gz


if [[ -e $MOTD ]] ; then
    cat $MOTD | grep "Version 5[.].[.]."
    if [[ "$?" -ne "0" ]] ; then
        exit 1 # A 5.x.x version was not found
    fi
else
    # If /etc/motd does not exist this is a unrecoverable failure
    # return the unit to the factory
    exit 1
fi

/etc/init.d/broadshield stop
cat ${BROADSHIELD_FILES_DELETE} | xargs rm -f
/bin/sync

tar -xvzf ${PATCH_BROADSHIELD} -C /

cp -rf /etc/xdg/Talen-X /home/spectracom/config
cp -rf /etc/xdg/Talen-X /home/spectracom/default/home/spectracom/config

# Flush all file system buffers && restart broadshield if need be
/bin/sync

if ! /etc/init.d/pseudod status ; then
    /etc/init.d/pseudod start
    ln -s /etc/init.d/pseudod /etc/runlevels/default/pseudod
fi

/etc/init.d/broadshield start
ln -s /etc/init.d/broadshield /etc/runlevels/default/broadshield
